#include <iostream>

using namespace std;
int main(){
	int n,k,t;
	cin>>n>>k;
	int s[n];
	for(int i=0;i<n;i++){
		cin>>s[i];
		if(s[i]==k){
			t=i+1;
		}
	}
	if(t==n)t=0;
    cout<<s[t];
    return 0;
}